Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class TypesHelper

    java.lang.Object
      com.beasys.commerce.util.TypesHelper

Deprecated. Use `Expression` and subclasses instead.

public class TypesHelper
extends Object

A helper with constants for the various types and operators for configurable entity properties.

In general, there are 6 types of properties for configurable entities, represented by constants on this class. Each of those types corresponds to a Java object type as follows:

Constant Name | Constant Value | Class
--- | --- | ---
`BOOLEAN` | 0 | java.lang.Boolean
`INTEGER` | 1 | java.lang.Long
`FLOAT` | 2 | java.lang.Double
`TEXT` | 3 | java.lang.String
`DATETIME` | 4 | java.sql.Timestamp
`USER_DEFINED` | 5 | java.lang.Object

Additionally, a property can also be multi-valued, in which case the value will be a `java.util.Collection` of objects of the property's type (e.g. java.lang.String's).

This class provides utility methods to get string representations of the type names, to determine a type from a java.sql.Type, and to get the list of comparision operators for a certain type.

See Also:
  `ExpressionHelper`

Field Summary
`static String` | `AND` Deprecated. The "and" (`&&`) logical operator.
`static int` | `BOOLEAN` Deprecated. The constant for a boolean type (0).
`static String` | `CONTAINS` Deprecated. The contains ("`contains`") comparator constant.
`static String` | `CONTAINS_ALL` Deprecated. The contains all ("`containsall`") comparator constant.
`static int` | `DATETIME` Deprecated. The constant for a datetime type (4).
`static String` | `EQUALS` Deprecated. The equals (`==`) comparator constant.
`static int` | `FLOAT` Deprecated. The constant for the floating-point numeric type (2).
`static String` | `GREATER_THAN` Deprecated. The greater than (`>`) comparator constant.
`static String` | `GREATER_THAN_EQUALS` Deprecated. The greater than or equals (`>=`) comparator constant.
`static int` | `INTEGER` Deprecated. The constant for a numeric type (1).
`static String` | `LESS_THAN` Deprecated. The less than (`<`) comparator constant.
`static String` | `LESS_THAN_EQUALS` Deprecated. The less than or equals (`<=`) comparator constant.
`static String` | `LIKE` Deprecated. The wildcard pattern ("`like`") comparator constant.
`static String` | `LIKE_IGNORECASE` Deprecated. The wildcard pattern ("`likeignorecase`") comparator constant.
`static int` | `MULTI_VALUED` Deprecated. The constant for a multivalued type (6).
`static String` | `NOT_EQUALS` Deprecated. The not equals (`!`
`static String` | `OR` Deprecated. The "or" (`||`) logical operator.
`static int` | `TEXT` Deprecated. The constant for a text type (3).
`static int` | `USER_DEFINED` Deprecated. The constant for a user defined type (5).

Constructor Summary
`TypesHelper()` Deprecated.

Method Summary
`static int` | `fromSQLType(int sqlType)` Deprecated. Convert a java.sql.Types constant into one of ours.
`static List` | `getComparators(int type)` Deprecated. Get the list of comparators for a given attribute type.
`static String` | `getDisplayName(String comparator)` Deprecated. Get the display name for the given comparator.
`static String` | `getTypeName(int type)` Deprecated. Get the descriptive type name from the type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AND

    public static final String AND

  Deprecated.
  The "and" (`&&`) logical operator.

  See Also:
    Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  Deprecated.
  The constant for a boolean type (0).

  See Also:
    Constant Field Values

### CONTAINS

    public static final String CONTAINS

  Deprecated.
  The contains ("`contains`") comparator constant.

  See Also:
    Constant Field Values

### CONTAINS_ALL

    public static final String CONTAINS_ALL

  Deprecated.
  The contains all ("`containsall`") comparator constant.

  See Also:
    Constant Field Values

### DATETIME

    public static final int DATETIME

  Deprecated.
  The constant for a datetime type (4).

  See Also:
    Constant Field Values

### EQUALS

    public static final String EQUALS

  Deprecated.
  The equals (`==`) comparator constant.

  See Also:
    Constant Field Values

### FLOAT

    public static final int FLOAT

  Deprecated.
  The constant for the floating-point numeric type (2).

  See Also:
    Constant Field Values

### GREATER_THAN

    public static final String GREATER_THAN

  Deprecated.
  The greater than (`>`) comparator constant.

  See Also:
    Constant Field Values

### GREATER_THAN_EQUALS

    public static final String GREATER_THAN_EQUALS

  Deprecated.
  The greater than or equals (`>=`) comparator constant.

  See Also:
    Constant Field Values

### INTEGER

    public static final int INTEGER

  Deprecated.
  The constant for a numeric type (1).

  See Also:
    Constant Field Values

### LESS_THAN

    public static final String LESS_THAN

  Deprecated.
  The less than (`<`) comparator constant.

  See Also:
    Constant Field Values

### LESS_THAN_EQUALS

    public static final String LESS_THAN_EQUALS

  Deprecated.
  The less than or equals (`<=`) comparator constant.

  See Also:
    Constant Field Values

### LIKE

    public static final String LIKE

  Deprecated.
  The wildcard pattern ("`like`") comparator constant.

  See Also:
    Constant Field Values

### LIKE_IGNORECASE

    public static final String LIKE_IGNORECASE

  Deprecated.
  The wildcard pattern ("`likeignorecase`") comparator constant.

  See Also:
    Constant Field Values

### MULTI_VALUED

    public static final int MULTI_VALUED

  Deprecated.
  The constant for a multivalued type (6).

  See Also:
    Constant Field Values

### NOT_EQUALS

    public static final String NOT_EQUALS

  Deprecated.
  The not equals (`!=`) comparator constant.

  See Also:
    Constant Field Values

### OR

    public static final String OR

  Deprecated.
  The "or" (`||`) logical operator.

  See Also:
    Constant Field Values

### TEXT

    public static final int TEXT

  Deprecated.
  The constant for a text type (3).

  See Also:
    Constant Field Values

### USER_DEFINED

    public static final int USER_DEFINED

  Deprecated.
  The constant for a user defined type (5).

  See Also:
    Constant Field Values

Constructor Detail

### TypesHelper

    public TypesHelper()

  Deprecated.

Method Detail

### fromSQLType

    public static int fromSQLType(int sqlType)

  Deprecated.
  Convert a java.sql.Types constant into one of ours.

  Parameters:
    `sqlType` - value from java.sql.Types.
  Returns:
    the corresponding attribute type (BOOLEAN, NUMERIC, TEXT, DATETIME, MULTI_VALUED, or USER_DEFINED).

### getComparators

    public static List getComparators(int type)

  Deprecated.
  Get the list of comparators for a given attribute type.

  Returns:
    an unmodifiable List of comparators represented by the constants in this class.

### getDisplayName

    public static String getDisplayName(String comparator)

  Deprecated.
  Get the display name for the given comparator.

### getTypeName

    public static String getTypeName(int type)

  Deprecated.
  Get the descriptive type name from the type.

  Parameters:
    `type` - the type (BOOLEAN, NUMERIC, TEXT, DATETIME, MULTI_VALUED, USER_DEFINED).
  Returns:
    the type name as a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved